# Retrieve a session Looks up a session. Endpoint: GET /v3/sessions/{id} Version: 2026-01-08 Security: ZephrHmacHttp ## Path parameters: - `id` (string, required) Unique Session identifier ## Response 200 fields (application/json): - `tenantId` (string) Example: "company" - `subTenantId` (string) Example: "company|demo" - `authenticated` (boolean) Example: true - `v` (integer) version - `session_variables` (object) - `user_id` (string) Example: "UU0123456789ABCD" - `sessions` (array) - `sessions.supplied` (boolean) - `sessions.expiryDate` (string) Example: "2025-02-08 14:29 PM UTC" - `sessions.startDate` (string) Example: "2024-02-08 14:29 PM UTC" - `sessions.state` (string) Enum: "anonymous", "recognised", "partially_registered", "authenticated" - `sessions.device` (string) Example: "pc" - `sessions.browser` (string) Example: "Chrome" - `sessions.os` (string) Example: "Mac OSX" - `sessions.city` (string) Example: "London" - `sessions.geoState` (string) Example: "London" - `sessions.deviceName` (string) Example: "Apple Macintosh" - `sessions.country` (string) ISO-3166-2 country code Example: "GB" - `sessions.session_id` (string) Example: "26a73b7a-f7d0-48d8-85dd-a04b07313895" - `access_model` (object) - `access_model.meters` (object) - `access_model.credits` (object) - `access_model.delivered_entitlements` (array) - `access_model.delivered_entitlements.id` (string) Example: "0123456789ABCD" - `access_model.delivered_entitlements.direct` (boolean) Example: true - `access_model.delivered_entitlements.meteredBy` (array) Example: [] - `access_model.delivered_entitlements.creditedBy` (array) Example: [] - `access_model.granted_bundles` (array) Example: ["e10a5ff3-fc63-47fb-af04-75c2ec3fdf1c"] - `access_model.jwt_bundles` (array) Example: [] - `access_model.user_state` (string) Example: "registered" - `last_updated` (integer) A timestamp indicating the last update of the session, measured in milliseconds since the epoch. Example: 1707230240685 - `test_groups` (object) - `second_party_data` (object)